---
import PageHeader from '@/components/PageHeader.vue';
import RequireAuth from '@/components/require-auth/RequireAuth.vue';
import CreateSelfDescription from '@/components/sdForm/CreateSelfDescription.vue';
import Layout from '../layouts/Layout.astro';

const id = Astro.url.searchParams.get('id') || '';
---

<Layout title="Create SD">
  <main>
    <PageHeader title="Create Self Description" />
    <RequireAuth client:only="vue">
      <CreateSelfDescription client:only="vue" />
    </RequireAuth>
  </main>
</Layout>
